This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 550732

Summary: useradd does not allow usernames with one or more capital letters to be created
Product: [Fedora] Fedora Reporter: cpg <cpg>
Component: shadow-utilsAssignee: Peter Vrabec <pvrabec>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: cpg, pvrabec, tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-04 07:22:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description cpg 2009-12-27 00:10:16 EST
Description of problem:

# useradd -g users -c testuser -p dsfdsfdadsf Testuser
useradd: invalid user name 'Testuser'

Version-Release number of selected component (if applicable):

shadow-utils-4.1.4.2-1.fc12.x86_64

How reproducible:

always

Steps to Reproduce:
1. useradd -g users -c testuser -p dsfdsfdadsf Testuser
2.
3.
  
Actual results:

useradd: invalid user name 'Testuser'

Expected results:

the user be created

Additional info:

system-config-users does allow capital letters
firstboot allows users with capital letters

it am not sure what the solution is, but it's not very consistent

it appears that this is fixed in useradd in rawhide?
Comment 1 Peter Vrabec 2010-01-04 07:22:22 EST
I'm sorry for this bug. I have marked shadow-utils-4.1.4.2-2.fc12 as stable so it should be available soon.